Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.sdb.util
Class RegexUtils

    java.lang.Object
      com.hp.hpl.jena.sdb.util.RegexUtils

    public class RegexUtils

extends Object

Constructor Summary
`RegexUtils()`

Method Summary
`static boolean` | `isSimpleAnchored(String pattern)`
`static boolean` | `isSimpleEndsWith(String pattern)`
`static boolean` | `isSimpleStartsWith(String pattern)`
`static boolean` | `noMetaChars(String string, int fromIndex)`
`static boolean` | `noMetaChars(String string, int fromIndex, int endIndex)` check for any regular expression metacharacters between the index point (inclusive,exclusive)
`static String` | `regexToLike(String pattern)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RegexUtils

    public RegexUtils()

Method Detail

### noMetaChars

    public static boolean noMetaChars(String string,
                                      int fromIndex)

### noMetaChars

    public static boolean noMetaChars(String string,
                                      int fromIndex,
                                      int endIndex)

  check for any regular expression metacharacters between the index point (inclusive,exclusive)

### isSimpleStartsWith

    public static boolean isSimpleStartsWith(String pattern)

### isSimpleAnchored

    public static boolean isSimpleAnchored(String pattern)

### isSimpleEndsWith

    public static boolean isSimpleEndsWith(String pattern)

### regexToLike

    public static String regexToLike(String pattern)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2006, 2007, 2008, 2009 Hewlett-Packard Development Company, LP Copyright ? 2010 Epimorphics Ltd.